unit c_about;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, xmldom, XMLIntf, msxmldom, XMLDoc, TypInfo,
  TntStdCtrls;

type
  Tc_AboutForm = class(TForm)
    Image_about: TImage;
    Label_Freeware: TTntLabel;
    GroupBox_version: TTntGroupBox;
    Label1: TTNTLabel;
    Label_Version: TTntLabel;
    GroupBox_Info: TTntGroupBox;
    Label5: TTNTLabel;
    Label6: TTNTLabel;
    Label7: TTNTLabel;
    Label8: TTNTLabel;
    Btn_OK: TTntButton;
    Label4: TTNTLabel;
    TntGroupBox1: TTntGroupBox;
    Label_Language: TTntLabel;
    Label_Trans: TTntLabel;
    procedure Label6MouseEnter(Sender: TObject);
    procedure Label6MouseLeave(Sender: TObject);
    procedure Label6Click(Sender: TObject);
    procedure Btn_OKClick(Sender: TObject);
    procedure Label8Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  c_AboutForm: Tc_AboutForm;

implementation

uses c_main;

{$R *.dfm}

procedure Tc_AboutForm.Label6MouseEnter(Sender: TObject);
begin
  TTntLabel(Sender).Font.Style := [];
end;

procedure Tc_AboutForm.Label6MouseLeave(Sender: TObject);
begin
  TTntLabel(Sender).Font.Style := [fsUnderline];
end;

procedure Tc_AboutForm.Label8Click(Sender: TObject);
begin
  Mainform.COME_WEBINFO(0); // website;
end;

procedure Tc_AboutForm.Label6Click(Sender: TObject);
begin
  Mainform.COME_WEBINFO(1); // email;
end;

procedure Tc_AboutForm.Btn_OKClick(Sender: TObject);
begin
  Close;
end;

procedure Tc_AboutForm.FormShow(Sender: TObject);
var
  XMLBox : TXMLDocument;
  Root, Cur_Nodes : IXMLNode;
  i,j : Integer;
begin
  if G_Language_Filename = 'language_en.xml' then Exit;

  XMLBox := TXMLDocument.Create(Self);
  XMLBox.LoadFromFile(APP_LANGUAGE_PATH + G_Language_Filename);
  Root := XMLBox.DocumentElement;

  Cur_Nodes := Root.ChildNodes.Nodes['About'];
  for i := 0 to Cur_Nodes.ChildNodes.Count - 1 do
  begin
   if FindComponent(Cur_Nodes.ChildNodes.Nodes[i].LocalName) <> nil then
     if FindComponent(Cur_Nodes.ChildNodes.Nodes[i].LocalName).Tag = 8 then
        for j := 0 to Cur_Nodes.ChildNodes.Nodes[i].ChildNodes.Count -1 do
        begin
          try
            SetPropValue(FindComponent(Cur_Nodes.ChildNodes.Nodes[i].LocalName), Cur_Nodes.ChildNodes.Nodes[i].ChildNodes.Nodes[j].LocalName, Cur_Nodes.ChildNodes.Nodes[i].ChildNodes.Nodes[j].Text);
          except
          end;
        end;
  end;
  XMLBox.Free;
end;

end.
